diff --git a/gnu/packages/telegram.scm b/gnu/packages/telegram.scm
index 42e9adc7dd..c4414287a7 100644
--- a/gnu/packages/telegram.scm
+++ b/gnu/packages/telegram.scm
@@ -57,6 +57,7 @@
   #:use-module (gnu packages tls)
   #:use-module (gnu packages video)
   #:use-module (gnu packages web)
+  #:use-module (gnu packages webkit)
   #:use-module (gnu packages xiph)
   #:use-module (gnu packages xorg)
   #:use-module ((guix licenses) #:prefix license:)
@@ -279,7 +280,7 @@ Telegram project, for its use in telegram desktop client.")
 (define-public telegram-desktop
   (package
     (name "telegram-desktop")
-    (version "2.5.9")
+    (version "2.7.3")
     (source
      (origin
        (method git-fetch)
@@ -291,7 +292,7 @@ Telegram project, for its use in telegram desktop client.")
        (file-name
         (git-file-name name version))
        (sha256
-        (base32 "1lqs06scqvzg37a2py8jk7nnlvk42jjifcpnhdd5rgd5biw70nyx"))
+        (base32 "0vzn4jmxwj0jsqqi1z4k898lyqhfz9qh8s9nmrwnw5z76mlj2p8m"))
        (modules '((guix build utils)
                   (ice-9 ftw)
                   (srfi srfi-1)))
@@ -358,6 +359,7 @@ Telegram project, for its use in telegram desktop client.")
                 ("Telegram/lib_tl" ,(assoc-ref inputs "lib-tl-source"))
                 ("Telegram/lib_ui" ,(assoc-ref inputs "lib-ui-source"))
                 ("Telegram/lib_webrtc" ,(assoc-ref inputs "lib-webrtc-source"))
+                ("Telegram/lib_webview" ,(assoc-ref inputs "lib-webview-source"))
                 ("Telegram/ThirdParty/tgcalls"
                  ,(assoc-ref inputs "tgcalls-source"))))
              #t))
@@ -377,11 +379,11 @@ Telegram project, for its use in telegram desktop client.")
            (uri
             (git-reference
              (url "https://github.com/desktop-app/cmake_helpers.git")
-             (commit "695fabda6830b58bdc02d09db70531d5dececcd0")))
+             (commit "52ccf5e17ab1bd7b352346c43706dc5e53bd19ca")))
            (file-name
             (git-file-name "cmake-helpers-for-telegram-desktop" version))
            (sha256
-            (base32 "1j3ppgfmihcjl22w5jk8jhwif10i9wbycq5zqnssn6pnhnj7di5i"))))
+            (base32 "0s79jf47x940ir6in347nvawfjgvril01mdwkhiza988zdhj5p3d"))))
        ("cmake-shared" ,cmake-shared)
        ("extra-cmake-modules" ,extra-cmake-modules)
        ("gcc" ,gcc-9)
@@ -401,16 +403,17 @@ Telegram project, for its use in telegram desktop client.")
            (uri
             (git-reference
              (url "https://github.com/desktop-app/codegen.git")
-             (commit "127968de8129e8ccfa6ac50721c70415a5a087c3")))
+             (commit "a4904e076b1d1bfd00cd26f283a5e9ccd9740ac1")))
            (file-name
             (git-file-name "codegen" version))
            (sha256
-            (base32 "036hzjrsk134ky62192nra43rsln5kh5gz20q1920s922661zky2"))))
+            (base32 "04vr9yl4pif2gza7zp78vsxvbdh3gsl1yz57b78f4fwqlrnxffi2"))))
        ("expected" ,libexpected)
        ("fcitx-qt5" ,fcitx-qt5)
        ("fcitx5-qt" ,fcitx5-qt)
        ("ffmpeg" ,ffmpeg)
        ("glib" ,glib)
+       ("glibmm" ,glibmm)
        ("gtk+" ,gtk+)
        ("hime" ,hime)
        ("hunspell" ,hunspell)
@@ -422,11 +425,11 @@ Telegram project, for its use in telegram desktop client.")
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_base.git")
-             (commit "f1e4168081428fa451d2f50eee7b1c448268c43a")))
+             (commit "356daf59b35b2086cf5527e1c255557967fbb0af")))
            (file-name
             (git-file-name "lib-base-for-telegram-desktop" version))
            (sha256
-            (base32 "0piqp7llwi7sfy4c15g0p8ihr90rz1qps6q5fkl1iasrf5ysw8qc"))))
+            (base32 "17p09bm1hyihsyxpzhp1bhgl8mss1ww97jh3fkj6qnai9c9a7l2p"))))
        ("lib-crl-source"
         ,(origin
            (method git-fetch)
@@ -444,11 +447,11 @@ Telegram project, for its use in telegram desktop client.")
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_lottie.git")
-             (commit "fb40f379d82ffa1fc7506e9a8dddcf48847715ae")))
+             (commit "71fecd909b0d5553153ecb6803f03a91158aeefb")))
            (file-name
             (git-file-name "lib-lottie-for-telegram-desktop" version))
            (sha256
-            (base32 "1vq0mqxcrrv7akcqk9cl4mm61zw6dcfmy8adl0pcp49kynm64saw"))))
+            (base32 "1rza4gzrhjg59f482b6sygbjbwgzcvww7pb3cjrp52ym5c5gys36"))))
        ("lib-qr-source"
         ,(origin
            (method git-fetch)
@@ -488,55 +491,66 @@ Telegram project, for its use in telegram desktop client.")
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_spellcheck.git")
-             (commit "1b540b38ed78e9a3cba93e9ba4ce4525ab692277")))
+             (commit "d35fe8aa38a26bfcefd32286d48c371e1c7317b0")))
            (file-name
             (git-file-name "lib-spellcheck-for-telegram-desktop" version))
            (sha256
-            (base32 "0a7042h5zrdvgs7v153ral2dh1zj84di5yjcmgcry5k4s1im9di7"))))
+            (base32 "07krq24rzjph476hwva8df4cp9s6nmcszckj2l7zchkx0qwl8wwp"))))
        ("lib-storage-source"
         ,(origin
            (method git-fetch)
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_storage.git")
-             (commit "cbe51722b73cfa9ff27bd59294b08aa5ee33c936")))
+             (commit "99d7122ddc9f61b6e910db11692426661525647f")))
            (file-name
             (git-file-name "lib-storage-for-telegram-desktop" version))
            (sha256
-            (base32 "045l5xsyagyz17gbhmmvl2miss4nb92p0dmza7yfs9pkg9gs0f87"))))
+            (base32 "02hfvy0h5gqgc7612p53famvmr8llrfr42pmwk515d9179ycggxy"))))
        ("lib-tl-source"
         ,(origin
            (method git-fetch)
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_tl.git")
-             (commit "404c83d77e5edb8a39f8e9f56a6340960fe5070e")))
+             (commit "45faed44e7f4d11fec79b7a70e4a35dc91ef3fdb")))
            (file-name
             (git-file-name "lib-tl-for-telegram-desktop" version))
            (sha256
-            (base32 "1k34nkvvcjqw5q81n1qmklid60cvzjk4lmn9qjimk437m6wbii7f"))))
+            (base32 "0h43xvzklda02494d466jp52hl8c1kmav9f12dyld10dpf1w6c7m"))))
        ("lib-ui-source"
         ,(origin
            (method git-fetch)
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_ui.git")
-             (commit "e14bc4681d69c1b538b8c5af51501077ae5a8a86")))
+             (commit "14c67cf724a572186455a8c0639f037ae26cc762")))
            (file-name
             (git-file-name "lib-ui-for-telegram-desktop" version))
            (sha256
-            (base32 "04b1x4bswk3bxqrwpv5g7w4frkprrwf0px6aibh6z4drinv08wsv"))))
+            (base32 "0r4jc9c4m0hra3lq1zvbg5cxlhdx7g4cb854s65zg8n43rdmlwbp"))))
        ("lib-webrtc-source"
         ,(origin
            (method git-fetch)
            (uri
             (git-reference
              (url "https://github.com/desktop-app/lib_webrtc.git")
-             (commit "60d5c43daf882a6c03944a3e6198b5f35b654a0e")))
+             (commit "5270a1dbbdbee643e187e175f798595b4bc49996")))
            (file-name
             (git-file-name "lib-webrtc-for-telegram-desktop" version))
            (sha256
-            (base32 "0mxmbw8i37axllg9h976p6np2gcfyci6xwwl9hc9mhs49vwwsw5s"))))
+            (base32 "0g4pswwk2zjgrc8psv4y1ba14mic6alkz63i962ksz4d8n92q2k7"))))
+       ("lib-webview-source"
+        ,(origin
+           (method git-fetch)
+           (uri
+            (git-reference
+             (url "https://github.com/desktop-app/lib_webview.git")
+             (commit "91c0e6664db4a444d630e3a0101f599a92df1dd9")))
+           (file-name
+            (git-file-name "lib-webview-for-telegram-desktop" version))
+           (sha256
+            (base32 "0qsxrmrfsia91pzxsxsmls18i0b701111ibz5b1yj1y5dl764caj"))))
        ("libdbusmenu-qt" ,libdbusmenu-qt)
        ("libjpeg" ,libjpeg-turbo)
        ("libtgvoip" ,libtgvoip-for-telegram-desktop)
@@ -561,11 +575,12 @@ Telegram project, for its use in telegram desktop client.")
            (uri
             (git-reference
              (url "https://github.com/TelegramMessenger/tgcalls.git")
-             (commit "71addf5b41cb6bb6844f75e977edae0020938930")))
+             (commit "4a9de89c61882f00e0563d44516284a89874144b")))
            (file-name
             (git-file-name "tgcalls-for-telegram-desktop" version))
            (sha256
-            (base32 "1zrjxf03n3ad8b95gwjarmq4gj5i5cwhlg93qcjv2232kksh29iy"))))
+            (base32 "0g48ni5igbcdn4qdqab5y1b02wm8mn4dn5x6yqkxa46k7jmjfjnn"))))
+       ("webkitgtk" ,webkitgtk)
        ("webrtc" ,webrtc-for-telegram-desktop)
        ("x11" ,libx11)
        ("xcb" ,libxcb)