diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index 1fd5710e57..df2ba729d8 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2020 Guy Fleury Iteriteka <gfleury@disroot.org>
 ;;; Copyright © 2020 Simon Tournier <zimon.toutoune@gmail.com>
 ;;; Copyright © 2021 Chris Marusich <cmmarusich@gmail.com>
+;;; Copyright © 2021 Sarah Morgensen <iskarian@mgsn.dev>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -744,6 +745,42 @@ as the 'native-search-paths' field."
                                      ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc|gcc-.*)"))
                #t))))))))
 
+(define* (custom-gcc-gccgo gcc name languages
+                           #:optional
+                           (search-paths (package-native-search-paths gcc))
+                           #:key (separate-lib-output? #t))
+  ;; TODO: remove CUSTOM-GCC-GCCGO when regex changes for CUSTOM-GCC are
+  ;; merged into master <https://issues.guix.gnu.org/49010>
+  "Return a custom version of GCC that supports LANGUAGES.  Use SEARCH-PATHS
+as the 'native-search-paths' field."
+  (package (inherit gcc)
+    (name name)
+    (outputs (if separate-lib-output?
+                 (package-outputs gcc)
+                 (delete "lib" (package-outputs gcc))))
+    (native-search-paths search-paths)
+    (properties (alist-delete 'hidden? (package-properties gcc)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments gcc)
+       ((#:modules modules %gnu-build-system-modules)
+        `(,@modules
+          (srfi srfi-1)
+          (srfi srfi-26)
+          (ice-9 regex)))
+       ((#:configure-flags flags)
+        `(cons (string-append "--enable-languages="
+                              ,(string-join languages ","))
+               (remove (cut string-match "--enable-languages.*" <>)
+                       ,flags)))
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (add-after 'install 'remove-broken-or-conflicting-files
+             (lambda* (#:key outputs #:allow-other-keys)
+               (for-each
+                delete-file
+                (find-files (string-append (assoc-ref outputs "out") "/bin")
+                            ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc|lto)(-.*)?$"))))))))))
+
 (define %generic-search-paths
   ;; This is the language-neutral search path for GCC.  Entries in $CPATH are
   ;; not considered "system headers", which means GCC can raise warnings for
@@ -813,6 +850,43 @@ It can also be used for ahead-of-time code generation for building standalone
 compilers.  The just-in-time (jit) part of the name is now something of a
 misnomer.")))
 
+(define (make-gccgo gcc)
+  "Return a gccgo package based on GCC."
+  (let ((gccgo (custom-gcc-gccgo gcc "gccgo" '("go") %generic-search-paths)))
+    (package
+      (inherit gccgo)
+      (synopsis "Go frontend to GCC")
+      (description
+        "This package is part of the GNU Compiler Collection and
+provides the GNU compiler for the Go programming language.")
+      (arguments
+       (substitute-keyword-arguments (package-arguments gccgo)
+         ((#:phases phases)
+          `(modify-phases ,phases
+             (add-after 'install 'wrap-go-with-tool-path
+               (lambda* (#:key outputs #:allow-other-keys)
+                 (let* ((out (assoc-ref outputs "out"))
+                        (exedir (string-append out "/libexec/gcc"))
+                        (tooldir (dirname (car (find-files exedir "^cgo$")))))
+                   (wrap-program (string-append out "/bin/go")
+                     `("GCCGOTOOLDIR" =
+                       (,(string-append "${GCCGOTOOLDIR-" tooldir "}")))
+                     `("GOROOT" =
+                       (,(string-append "${GOROOT-" out "}")))))))
+             (add-before 'configure 'fix-gotools-runpath
+               (lambda _
+                 (substitute* "gotools/Makefile.in"
+                   (("AM_LDFLAGS =" all)
+                    (string-append all " -Wl,-rpath=$(libdir) ")))))
+             (add-before 'configure 'remove-tool-reference-from-libgo
+               (lambda _
+                 (substitute* "libgo/Makefile.in"
+                   (("(GccgoToolDir = \\\")[^\\\"]+" _ start)
+                    (string-append start "/nonexistent"))
+                   (("(DefaultGoroot = \\\")[^\\\"]+" _ start)
+                    (string-append start "/nonexistent"))
+                   (("(defaultGOROOTValue.*?return `)[^`]+" _ start)
+                    (string-append start "/nonexistent"))))))))))))
 
 (define-public gccgo-4.9
   (custom-gcc (package
@@ -828,6 +902,9 @@ provides the GNU compiler for the Go programming language."))
               ;; a cyclic dependency.  <http://debbugs.gnu.org/18101>
               #:separate-lib-output? #f))
 
+(define-public gccgo-10
+  (make-gccgo gcc-10))
+
 (define %objc-search-paths
   (list (search-path-specification
          (variable "OBJC_INCLUDE_PATH")